Browse Source

New upstream (pre)release.
Apply patch from cvs to fix a segfault in src/or/test (test.c, 1.131).


svn:r2560

Peter Palfrader 19 years ago
parent
commit
029a0a4c33
3 changed files with 47 additions and 0 deletions
  1. 8 0
      debian/changelog
  2. 1 0
      debian/patches/00list
  3. 38 0
      debian/patches/04_fix_test

+ 8 - 0
debian/changelog

@@ -1,3 +1,11 @@
+tor (0.0.8+0.0.9pre4-1) unstable; urgency=low
+
+  * New upstream (pre)release.
+  * Apply patch from cvs to fix a segfault in src/or/test
+    (test.c, 1.131).
+
+ -- Peter Palfrader <weasel@debian.org>  Sun, 17 Oct 2004 19:04:31 +0200
+
 tor (0.0.8+0.0.9pre3-1) unstable; urgency=high
 
   * New upstream (pre)release.

+ 1 - 0
debian/patches/00list

@@ -1,3 +1,4 @@
 01_uncomment_datadirectory.dpatch
 02_add_debian_files_in_manpage.dpatch
 03_tor_manpage_in_section_8.dpatch
+04_fix_test

+ 38 - 0
debian/patches/04_fix_test

@@ -0,0 +1,38 @@
+#! /bin/sh -e
+## 04_fix_test.dpatch by  <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad tor-0.0.9pre4/src/or/test.c /tmp/dpep.hUQG4a/tor-0.0.9pre4/src/or/test.c
+--- tor-0.0.9pre4/src/or/test.c	2004-10-17 00:14:52.000000000 +0200
++++ /tmp/dpep.hUQG4a/tor-0.0.9pre4/src/or/test.c	2004-10-17 19:03:33.772660687 +0200
+@@ -919,7 +919,8 @@
+   test_assert(!is_legal_nickname_or_hexdigest("abcdefghijklmnopqrst"));
+ 
+   get_platform_str(platform, sizeof(platform));
+-
++  memset(&r1,0,sizeof(r1));
++  memset(&r2,0,sizeof(r2));
+   r1.address = "testaddr1.foo.bar";
+   r1.addr = 0xc0a80001u; /* 192.168.0.1 */
+   r1.published_on = 0;